<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/object_lib_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>10/21/86  object_lib_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The object_lib_ subroutine provides utilities for dealing with
<span id="L4" class="LineNr">  4 </span>object segments and multisegment files in a consistent manner.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in object_lib_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  initiate:  10/21/86 object_lib_$initiate
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function:  Initiates the executable binary specified, with the
<span id="L15" class="LineNr"> 15 </span>given refname, terminating the refname as required and returning
<span id="L16" class="LineNr"> 16 </span>a pointer and bit count.  The target is optionally checked to
<span id="L17" class="LineNr"> 17 </span>insure that it is actually an object segment or MSF, and that
<span id="L18" class="LineNr"> 18 </span>its status as an object MSF is consistent.
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Syntax:
<span id="L22" class="LineNr"> 22 </span>dcl object_lib_$initiate entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr"> 23 </span>     bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>call object_lib_$initiate <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> refname<span class="textRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr"> 25 </span>     validate_sw<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> bit_count<span class="textRainbow_lv0_o0">,</span> msf_sw<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Arguments:
<span id="L29" class="LineNr"> 29 </span>dirname
<span id="L30" class="LineNr"> 30 </span>   is the directory name of the object to be initiated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>entryname
<span id="L32" class="LineNr"> 32 </span>   is the entry name of the object to be initiated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr"> 33 </span>refname
<span id="L34" class="LineNr"> 34 </span>   is the reference name to be placed on the object when it is
<span id="L35" class="LineNr"> 35 </span>   initiated.  If the object is an object MSF, the reference name will
<span id="L36" class="LineNr"> 36 </span>   be placed on component 0.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>validate_sw
<span id="L38" class="LineNr"> 38 </span>   is a switch to select whether of not the target segment or MSF is
<span id="L39" class="LineNr"> 39 </span>   checked to see if it is a valid executable binary.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>seg_ptr
<span id="L43" class="LineNr"> 43 </span>   is a pointer to the object.  If the object is an object MSF, a
<span id="L44" class="LineNr"> 44 </span>   pointer to component 0 will be returned.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>bit_count
<span id="L46" class="LineNr"> 46 </span>   is the bit_count of the segment pointed to by seg_ptr.  If the
<span id="L47" class="LineNr"> 47 </span>   target is an MSF, it is the bit count of component 0.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L48" class="LineNr"> 48 </span>msf_sw
<span id="L49" class="LineNr"> 49 </span>   is a flag indicating whether the object specified is an object MSF.
<span id="L50" class="LineNr"> 50 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr"> 51 </span>code
<span id="L52" class="LineNr"> 52 </span>   is a standard status code. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>:Entry:  init_no_clear:  10/21/86 object_lib_$init_no_clear
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>Function:  Initiates the executable binary specified, with the
<span id="L59" class="LineNr"> 59 </span>given refname, terminating the refname as required and returning
<span id="L60" class="LineNr"> 60 </span>a pointer.  If the refname is already in use, term_$no_clear is
<span id="L61" class="LineNr"> 61 </span>called rather than term_$single_refname.  This entrypoint is
<span id="L62" class="LineNr"> 62 </span>intended for use only by find_command_ since it will not clear
<span id="L63" class="LineNr"> 63 </span>find_command_'s associative memory of entrypoints which is
<span id="L64" class="LineNr"> 64 </span>assumed to be managed manually by find_command_.  The target is
<span id="L65" class="LineNr"> 65 </span>optionally checked to insure that it is actually an object
<span id="L66" class="LineNr"> 66 </span>segment or MSF, and that its status as an object MSF is
<span id="L67" class="LineNr"> 67 </span>consistent.
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>Syntax:
<span id="L71" class="LineNr"> 71 </span>dcl object_lib_$init_no_clear entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L72" class="LineNr"> 72 </span>          bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L73" class="LineNr"> 73 </span>call object_lib_$init_no_clear <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> refname<span class="textRainbow_lv0_o0">,</span>
<span id="L74" class="LineNr"> 74 </span>          validate_sw<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> bit_count<span class="textRainbow_lv0_o0">,</span> msf_sw<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>Arguments:
<span id="L78" class="LineNr"> 78 </span>dirname
<span id="L79" class="LineNr"> 79 </span>   is the directory name of the object to be initiated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L80" class="LineNr"> 80 </span>entryname
<span id="L81" class="LineNr"> 81 </span>   is the entry name of the object to be initiated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L82" class="LineNr"> 82 </span>refname
<span id="L83" class="LineNr"> 83 </span>   is the reference name to be placed on the object when it is
<span id="L84" class="LineNr"> 84 </span>   initiated.  If the object is an object MSF, the reference name will
<span id="L85" class="LineNr"> 85 </span>   be placed on component 0.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L86" class="LineNr"> 86 </span>validate_sw
<span id="L87" class="LineNr"> 87 </span>   is a switch to select whether of not the target segment or MSF is
<span id="L88" class="LineNr"> 88 </span>   checked to see if it is a valid executable binary.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>seg_ptr
<span id="L92" class="LineNr"> 92 </span>   is a pointer to the object.  If the object is an object MSF, a
<span id="L93" class="LineNr"> 93 </span>   pointer to component 0 will be returned.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L94" class="LineNr"> 94 </span>bit_count
<span id="L95" class="LineNr"> 95 </span>   is the bit count of the segment pointed to by seg_ptr.  If the
<span id="L96" class="LineNr"> 96 </span>   target is an MSF, it is the bit count of component 0.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L97" class="LineNr"> 97 </span>msf_sw
<span id="L98" class="LineNr"> 98 </span>   is a flag indicating whether the object specified is a MSF.
<span id="L99" class="LineNr"> 99 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L100" class="LineNr">100 </span>code
<span id="L101" class="LineNr">101 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>:Entry:  get_component_info:  10/21/86 object_lib_$get_component_info
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>Function:  Returns structural and identifying information about
<span id="L108" class="LineNr">108 </span>an object segment or MSF.  Varying amounts of information may be
<span id="L109" class="LineNr">109 </span>returned depending on the value of the oi_type parameter.
<span id="L110" class="LineNr">110 </span>
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>Syntax:
<span id="L113" class="LineNr">113 </span>dcl object_lib_$get_component_info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>8<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L114" class="LineNr">114 </span>          char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L115" class="LineNr">115 </span>call object_lib_$get_component_info <span class="textRainbow_lv0_p0">(</span>segp<span class="textRainbow_lv0_o0">,</span> areap<span class="textRainbow_lv0_o0">,</span> version_reqd<span class="textRainbow_lv0_o0">,</span>
<span id="L116" class="LineNr">116 </span>          oi_type<span class="textRainbow_lv0_o0">,</span> infop<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>Arguments:
<span id="L120" class="LineNr">120 </span>segp
<span id="L121" class="LineNr">121 </span>   is a pointer to the segment to be examined.  This may be a single
<span id="L122" class="LineNr">122 </span>   segment or a component of an object MSF.  If it is a component of an
<span id="L123" class="LineNr">123 </span>   object MSF info is returned for all of the components.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L124" class="LineNr">124 </span>areap
<span id="L125" class="LineNr">125 </span>   is a pointer to an area in which the output structure is to be
<span id="L126" class="LineNr">126 </span>   allocated.  If this pointer is null, the system_free_area is used.
<span id="L127" class="LineNr">127 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L128" class="LineNr">128 </span>version_reqd
<span id="L129" class="LineNr">129 </span>   is the version of the output structure desired.  Currently only one
<span id="L130" class="LineNr">130 </span>   version is supported.  This value should be component_info_version_1
<span id="L131" class="LineNr">131 </span>   <span class="textRainbow_lv0_p0">(</span>declared in object_lib_defs.incl.pl1<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>oi_type
<span id="L135" class="LineNr">135 </span>   is  the type  of object  info desired  by the  caller.  Four
<span id="L136" class="LineNr">136 </span>   values are supported, described under &quot;List of oi_types&quot; below.
<span id="L137" class="LineNr">137 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L138" class="LineNr">138 </span>infop
<span id="L139" class="LineNr">139 </span>   is a pointer to a component_info structure allocated by
<span id="L140" class="LineNr">140 </span>   object_lib_$get_component_info.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L141" class="LineNr">141 </span>code
<span id="L142" class="LineNr">142 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L143" class="LineNr">143 </span>
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>List of oi_types:
<span id="L146" class="LineNr">146 </span>none
<span id="L147" class="LineNr">147 </span>   No object info is filled into the structure.  Only the segment
<span id="L148" class="LineNr">148 </span>   pointers, bit_count, and terminate flag is set.
<span id="L149" class="LineNr">149 </span>brief
<span id="L150" class="LineNr">150 </span>   Object info is filled in for each component by calling
<span id="L151" class="LineNr">151 </span>   object_info_$brief for each component.
<span id="L152" class="LineNr">152 </span>display
<span id="L153" class="LineNr">153 </span>   Object info is filled in for each component by calling
<span id="L154" class="LineNr">154 </span>   object_info_$display for each component.
<span id="L155" class="LineNr">155 </span>long
<span id="L156" class="LineNr">156 </span>   Object info is filled in for each component by calling
<span id="L157" class="LineNr">157 </span>   object_info_$long for each component.
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>List of component_info elements:
<span id="L161" class="LineNr">161 </span>   The component info structure returned has the following definition
<span id="L162" class="LineNr">162 </span>   <span class="textRainbow_lv0_p0">(</span>declared in object_lib_defs.incl.pl1<span class="textRainbow_lv0_p0">)</span>:
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>   dcl 01 component_info       aligned based <span class="textRainbow_lv0_p0">(</span>comp_infop<span class="textRainbow_lv0_p0">)</span>,
<span id="L165" class="LineNr">165 </span>        02 version             char <span class="textRainbow_lv0_p0">(</span>8<span class="textRainbow_lv0_p0">)</span>,
<span id="L166" class="LineNr">166 </span>        02 flags               aligned,
<span id="L167" class="LineNr">167 </span>         03 msf                bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L168" class="LineNr">168 </span>         03 mbz                bit <span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L169" class="LineNr">169 </span>        02 max                 fixed bin,
<span id="L170" class="LineNr">170 </span>        02 comp                <span class="textRainbow_lv0_p0">(</span>0:max_component
<span id="L171" class="LineNr">171 </span>                               refer <span class="textRainbow_lv1_p0">(</span>component_info.max<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>,
<span id="L172" class="LineNr">172 </span>         03 segp               ptr,
<span id="L173" class="LineNr">173 </span>         03 bc                 fixed bin <span class="textRainbow_lv0_p0">(</span>24<span class="textRainbow_lv0_p0">)</span>,
<span id="L174" class="LineNr">174 </span>         03 mbz                bit <span class="textRainbow_lv0_p0">(</span>36<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L175" class="LineNr">175 </span>         03 info               like object_info;
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>
<span id="L178" class="LineNr">178 </span>version
<span id="L179" class="LineNr">179 </span>   is the version number of the structure.  It is currently &quot;cinfo1.0&quot;.
<span id="L180" class="LineNr">180 </span>   The named constant for this value component_info_version_1 is
<span id="L181" class="LineNr">181 </span>   declared in object_lib_defs.incl.pl1.
<span id="L182" class="LineNr">182 </span>msf
<span id="L183" class="LineNr">183 </span>   is a flag indicating that the object in question is an object MSF.
<span id="L184" class="LineNr">184 </span>max
<span id="L185" class="LineNr">185 </span>   is the number of the largest component in the file.
<span id="L186" class="LineNr">186 </span>comp
<span id="L187" class="LineNr">187 </span>   contains the per-component information.
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>segp
<span id="L191" class="LineNr">191 </span>   is a pointer to the N'th component of the file.
<span id="L192" class="LineNr">192 </span>bc
<span id="L193" class="LineNr">193 </span>   is the bit_count of the N'th component of the file.
<span id="L194" class="LineNr">194 </span>info
<span id="L195" class="LineNr">195 </span>   is identical to the structure object_info <span class="textRainbow_lv0_p0">(</span>declared in
<span id="L196" class="LineNr">196 </span>   object_info.incl.pl1<span class="textRainbow_lv0_p0">)</span> for a description of the fields in this
<span id="L197" class="LineNr">197 </span>   section see object_info_.
<span id="L198" class="LineNr">198 </span>
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>:Entry:  get_def_target:  10/21/86 object_lib_$get_def_target
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>
<span id="L203" class="LineNr">203 </span>Function:  Searches the segment specified by segp for a
<span id="L204" class="LineNr">204 </span>definition matching segname and offsetname and returns a pointer
<span id="L205" class="LineNr">205 </span>to the target of the definition.  If the segment specified is
<span id="L206" class="LineNr">206 </span>component 0 of an object MSF, the target pointer return points
<span id="L207" class="LineNr">207 </span>to the eventual target of the definition <span class="textRainbow_lv0_p0">(</span>in some component
<span id="L208" class="LineNr">208 </span>other than component 0<span class="textRainbow_lv0_p0">)</span>.  If live_sw is &quot;1&quot;b, and the definition
<span id="L209" class="LineNr">209 </span>found refers to the static or linkage section, the targetp value
<span id="L210" class="LineNr">210 </span>returned will be in the live copy of the linkage or static
<span id="L211" class="LineNr">211 </span>section, respectively.  If it is &quot;0&quot;b, the value returned will
<span id="L212" class="LineNr">212 </span>point to the template in the object segment.
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Syntax:
<span id="L216" class="LineNr">216 </span>dcl object_lib_$get_def_target entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L217" class="LineNr">217 </span>          char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L218" class="LineNr">218 </span>call object_lib_$get_def_target <span class="textRainbow_lv0_p0">(</span>segp<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> segname<span class="textRainbow_lv0_o0">,</span> offsetname<span class="textRainbow_lv0_o0">,</span>
<span id="L219" class="LineNr">219 </span>          live_sw<span class="textRainbow_lv0_o0">,</span> targetp<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>
<span id="L222" class="LineNr">222 </span>Arguments:
<span id="L223" class="LineNr">223 </span>segp
<span id="L224" class="LineNr">224 </span>   is a pointer to the segment to search.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L225" class="LineNr">225 </span>bc
<span id="L226" class="LineNr">226 </span>   is the bit_count of the segment to search.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L227" class="LineNr">227 </span>segname
<span id="L228" class="LineNr">228 </span>   is the segname to search for.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L229" class="LineNr">229 </span>offsetname
<span id="L230" class="LineNr">230 </span>   is the name of the definition to search for.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>live_sw
<span id="L234" class="LineNr">234 </span>   specified whether definitions which reference the static or linkage
<span id="L235" class="LineNr">235 </span>   section of the object should return a pointer relative to the live
<span id="L236" class="LineNr">236 </span>   copy pointed to by the LOT/ISOT or to the static template stored in
<span id="L237" class="LineNr">237 </span>   the object segment itself.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L238" class="LineNr">238 </span>targetp
<span id="L239" class="LineNr">239 </span>   is a pointer to the eventual target of the definition.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L240" class="LineNr">240 </span>code
<span id="L241" class="LineNr">241 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
